Get a custom role
Get a custom role that can be set on users.
GET
/api/v1/{team_slug}/{app_slug}/custom-roles/{custom_role_id}Authorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
custom_role_idstringrequiredCustom Role ID
Responses
200
Got Custom role successfully
datainternal_pkg_webserver_v1.CustomRolerequiredShow propertiesHide properties
app_idstringcreated_atstringidstringis_defaultbooleannamestringslugstringupdated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. id not uuid)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired